# PetscOptionsGetStringArray

Gets an array of string values for a particular option in the database. The values must be separated with commas with no intervening spaces.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsGetStringArray(const char pre[],const char name[],char *strings[],PetscInt *nmax,PetscTruth *flg)

Not Collective

### Input Parameters

| pre | - string to prepend to name or PETSC_NULL
| name | - the option one is seeking
| nmax | - maximum number of strings

### Output Parameter

| strings | - location to copy strings
| flg | - PETSC_TRUE if found, else PETSC_FALSE

### C++ variants

| PetscOptionsGetStringArray(const char b[],char *i[],PetscInt *ii,PetscTruth *f) |  | -> |  | PetscOptionsGetStringArray(PETSC_NULL,b,i,ii,f)

### Notes

The user should pass in an array of pointers to char, to hold all the strings returned by this function.

The user is responsible for deallocating the strings that are returned. The Fortran interface for this routine is not supported.

Contributed by Matthew Knepley.

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsTruth(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsTruthGroupBegin(), PetscOptionsTruthGroup(), PetscOptionsTruthGroupEnd(), PetscOptionsList(), PetscOptionsEList()

Level:beginner
Location: src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages